# ReVanced Manager (Compose Rewrite)

[![GitHub license](https://img.shields.io/github/license/revanced/revanced-manager-compose)](/LICENSE)
[![GitHub last commit](https://img.shields.io/github/last-commit/revanced/revanced-manager-compose)](https://github.com/revanced/revanced-manager-compose/commits)
[![GitHub commit activity](https://img.shields.io/github/commit-activity/w/revanced/revanced-manager-compose)](https://github.com/revanced/revanced-manager-compose/commits)

_(Yet another)_ rewrite of the ReVanced Manager using Kotlin and Jetpack Compose.

## Design system

In this rewrite, we are adopting the latest Material Design principles and guidelines by using Material 3 and Material You.

Material Design is a design system developed by Google that provides a unified visual language for building beautiful and consistent user interfaces across all platforms and devices. Material You is an extension of Material Design that provides even more customization options for users, making it possible for them to personalize their device and create a unique look and feel.

### Why Material 3?

* **Consistent design language**
* **Improved accessibility**
* **Better user experience**

By using Material 3 and Material You, we are ensuring that the app's user interface is consistent, customizable, accessible, and engaging for our users. This will help to improve the overall user experience and increase user satisfaction with the the manager.

## Technology stack

* Kotlin: Kotlin is a modern and concise programming language that is fully interoperable with Java and provides improved safety, readability, and maintainability compared to Java.
* Jetpack Compose: Jetpack Compose is a modern UI toolkit for Android development that allows developers to build beautiful and performant user interfaces using declarative programming. It provides a unified and efficient way of building UI that is well-integrated with the Android framework.

## Why Kotlin and Compose?

* **Improved safety:** Kotlin provides improved safety compared to Java, which reduces the likelihood of common programming mistakes that can cause security vulnerabilities or crashes.
* **Concise and readable code:** Kotlin's concise syntax and expressive type system make the code more readable, which makes it easier for developers to understand and maintain the codebase.
* **Better performance:** Jetpack Compose uses the power of the Android framework to provide smooth and fast performance, which enhances the user experience.
* **Modern and efficient UI development:** Jetpack Compose provides a modern and efficient way of building UI, which makes it easier for developers to create beautiful and performant user interfaces.

